%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>
Name:		telepathy-haze
Version:	0.3.1
Release:	1
BuildArch:	i686
Summary:	A multi-protocol Libpurple connection manager for Telepathy
Group:		Networking/Instant Messaging
License:	GPLv2+
URL:		http://developer.pidgin.im/wiki/Telepathy
Source0:	http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
## Remove Yahoo Japan options from haze.manager, to fix Yahoo! IM connectivity
## issues. (Fedora bug #514998, GNOME Bug #591381)
Patch0: 	%{name}-no-yahoo-japan.patch
BuildRequires:	libpurple-devel
BuildRequires:	telepathy-glib-devel
Requires:	telepathy-filesystem    

%description
telepathy-haze is a connection manager built around libpurple, the core of
Pidgin (formerly Gaim), as a Summer of Code project under the Pidgin umbrella.
Ultimately, any protocol supported by libpurple will be supported by
telepathy-haze; for now, XMPP, MSN and AIM are known to work acceptably, and
others will probably work too.


%prep
%setup -q
%patch0 -p1 -b .no-yahoo-japan


%build
%configure PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_libexecdir}/telepathy-haze
%{_datadir}/dbus-1/services/*.haze.service
%{_datadir}/telepathy/managers/haze.manager
%{_mandir}/man8/telepathy-haze.8*

%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 0.3.1-1
- Initial CCux package release
